// material
import { alpha, styled } from '@mui/material/styles';
import { Card, Typography } from '@mui/material';
// utils
import React from 'react';
// component
import Iconify from '../../../components/Iconify';
import MuiIcon from '../utilityComponents/MuiIcon';

// ----------------------------------------------------------------------

const RootStyle = styled(Card)(({ theme }) => ({
  boxShadow: 'none',
  textAlign: 'center',
  padding: theme.spacing(5, 0),
  color: theme.palette.common.black,
  backgroundColor: theme.palette.primary.lighter,
  minHeight: '310px',
}));

const IconWrapperStyle = styled('div')(({ theme }) => ({
  margin: 'auto',
  display: 'flex',
  borderRadius: '50%',
  alignItems: 'center',
  width: theme.spacing(8),
  height: theme.spacing(8),
  justifyContent: 'center',
  marginBottom: theme.spacing(3),
  color: theme.palette.primary.dark,
  backgroundImage: `linear-gradient(135deg, ${alpha(
    theme.palette.primary.dark,
    0
  )} 0%, ${alpha(theme.palette.primary.dark, 0.24)} 100%)`,
}));

// ----------------------------------------------------------------------

// const TOTAL = 714000;

export default function Deviceinfo({

  translate,
  model,
  manufacturer,
  bettryLevel,
  version,
}) {
  return (
    <RootStyle>
      <div style={{backgroundColor:'white',display:'inline-block',padding:'20px',borderRadius:'50px',border:'2px solid #E4EDBB'}} >
      <img src='/images/deviceInfo.png'/>
      </div>

      {/* <IconWrapperStyle>
        <MuiIcon icon='ant-design:android-filled' width={24} height={24} />
      </IconWrapperStyle> */}

      {/* <Typography variant="h3">{fShortenNumber(TOTAL)}</Typography> */}
      <Typography variant='h3'>{translate('Device Info')}</Typography>
      <Typography variant='subtitle1' sx={{ opacity: 0.72 }}>
        {translate('Device Model')}: {model}
      </Typography>
      <Typography variant='subtitle2' sx={{ opacity: 0.72 }}>
        {translate('Manufacturer')}: {manufacturer}
      </Typography>
      <Typography variant='subtitle2' sx={{ opacity: 0.72 }}>
        {translate('Bettery Level')} : {bettryLevel}
      </Typography>
      <Typography variant='subtitle2' sx={{ opacity: 0.72 }}>
        {translate('Android Version')}: {version}
      </Typography>
    </RootStyle>
  );
}
