import { useRef, useState } from 'react';
// material
import {
  Menu,
  MenuItem,
  IconButton,
  ListItemIcon,
  ListItemText,
} from '@mui/material';
// component
import React from 'react';
import MuiIcon from './MuiIcon';

// ----------------------------------------------------------------------

export default function UcMoreMenu({handleEdit,data,handleDelete,disabledelete}) {
  const ref = useRef(null);
  const [isOpen, setIsOpen] = useState(false);

  return (
    <>
      <IconButton ref={ref} onClick={() => setIsOpen(true)}>
        <MuiIcon icon='eva:more-vertical-fill' width={20} height={20} />
      </IconButton>

      <Menu
        open={isOpen}
        anchorEl={ref.current}
        onClose={() => setIsOpen(false)}
        PaperProps={{
          sx: { width: 200, maxWidth: '100%' },
        }}
        anchorOrigin={{ vertical: 'top', horizontal: 'right' }}
        transformOrigin={{ vertical: 'top', horizontal: 'right' }}
      >
        {!disabledelete&&<MenuItem
        onClick={()=>handleDelete(data.id)}

        sx={{ color: 'text.secondary' }}>
          <ListItemIcon>
            <MuiIcon icon='eva:trash-2-outline' width={24} height={24} />
          </ListItemIcon>
          <ListItemText
            primary='Delete'
            primaryTypographyProps={{ variant: 'body2' }}
          />
        </MenuItem>}

        <MenuItem
          onClick={()=> handleEdit(data)}
          sx={{ color: 'text.secondary' }}
        >
          <ListItemIcon>
            <MuiIcon icon='eva:edit-fill' width={24} height={24} />
          </ListItemIcon>
          <ListItemText
            primary='Edit'
            primaryTypographyProps={{ variant: 'body2' }}
          />
        </MenuItem>
      </Menu>
    </>
  );
}
